REBOL [
	Title: "REBOL/View Desktop - Help Window"
	Version: 1.0.0
	Author: "Carl Sassenrath"
	Rights: "Copyright REBOL Technologies 1999-2003"
	Tabs: "Tabspace is 4. PLEASE KEEP IT THAT WAY."
	License: {
		This software is the property of REBOL Technologies and is
		licensed to you under the terms of the REBOL/View Desktop
		License (included in this distribution).
	}
]

help-view: does [
	; Display help information window:
	view/new center-face layout [
		style text text 300 bold
		style btn button 120
		style arw box 20x20 effect [arrow 120.0.0 rotate 90]
		backdrop dtw-skin/main-color effect [grid 150.170.150]
		across space 0x0
		image logo.gif
		box 340x24 effect [gradmul 0.0.0 128.128.128]
		space 3x10
		return
		pad 23x14 text as-is either system/user-license/id [
			reform [
				pick ["REBOL/View/Pro" "REBOL/Command/View"]  (system/product = 'view)
				system/version "^/Licensed to:" system/user-license/name
			]
		][
			reform [pick ["REBOL/View" "REBOL/Command/View"] (system/product = 'view) system/version]
		]
		pad 0x3
		btn "Close" [unview]
		return
		box 300x2 maroon
		return
		arw text {
			To obtain information and documentation about REBOL,
			visit WWW.REBOL.COM.
		}
		pad 0x3
		btn "Browse Site" [browse http://www.rebol.com]
		return
		arw text pick [{
			To use REBOL/View/Pro features, purchase a license from:
			WWW.REBOL.COM/view-sales.html.
		} {
			REBOL/Command licenses are available from:
			WWW.REBOL.COM/command-sales.html.
		}] (system/product = 'view)
		pad 0x3
		btn "Buy Now" [browse pick [
				http://www.rebol.com/view-sales.html
				http://www.rebol.com/command-sales.html
			] (system/product = 'view)
		]
		return
		arw text {
			To contact us about problems,
			send email to feedback@rebol.com.
		}
		pad 0x3
		btn "Send Email" [emailer/to feedback@rebol.com]
		return
		arw text {
			You can also report bugs and errors to us with a
			simple feedback form.
		}
		pad 0x3
		btn "Send Feedback" [launch-thru http://www.rebol.com/view/feedback.r]
		return
		arw text {
			To subscribe to our email discussion list, send a
			"subscribe" email to rebol-request@rebol.com. 
		}
		pad 0x3
		btn "Subscribe Now" [
			if confirm "Join the email discussion list now?" [
				either all [system/user/email system/schemes/default/host] [
					flash "Subscribing...."
					send rebol-request@rebol.com "subscribe"
					unview
					alert "You have subscribed."
				][
					alert {Your email has not been set up. Check your user preferences.}
				]
			]
		]
		return
		pad 23
		text font-size 9 {Copyright REBOL Technologies. All rights reserved.
			REBOL is a trademark of REBOL Technologies.}
	]
]

